tellico (4.2.1-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - For now make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Sat, 04 Jul 2026 17:10:09 +0100

tellico (4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Use-HTML-4.01-Transitional-instead-of-Strict.patch: drop,
      backported from upstream
    - upstream_tests-fix-skip-PdfTest-testBookCollectionMetadata-in.patch:
      drop, backported from upstream
  * Bump Standards-Version to 4.7.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Jul 2026 09:05:50 +0200

tellico (4.2-2ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - For now make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 May 2026 08:10:53 +0100

tellico (4.2-2) unstable; urgency=medium

  * Enable the usage of kio-thumbnail with SVG support (for icons) during the
    tests:
    - add the kio-extras, and qt6-svg-plugins test build dependencies
    - drop the patch skip-failing-filelisting-test.diff, the test passes now
  * Backport upstream commit 260026c1db12cdecf7ec51af9b90292d5b7e157f to skip
    PdfTest::testBookCollectionMetadata when there is no KFileMetaData PDF
    extractor available; patch
    upstream_tests-fix-skip-PdfTest-testBookCollectionMetadata-in.patch
    - drop patch skip-pdf-linux-i386.diff, obsolete now

 -- Pino Toscano <pino@debian.org>  Sun, 22 Feb 2026 07:44:56 +0100

tellico (4.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 6.5
    - bump KF packages to 6.0.0
    - bump yaz packages to 3.0
    - add libkf6filemetadata-bin for tests (needed for the PDF file metadata)
  * Update the patches:
    - skip-failing-filelisting-test.diff: refresh
  * Recommend libkf6filemetadata-bin for the additional plugins for file
    metadata.
  * Backport upstream commit 1d596655e8294a4e5bb74c384dafb537141935a0 to make
    exported HTML files validating ones; patch
    upstream_Use-HTML-4.01-Transitional-instead-of-Strict.patch.
  * "Fix" PdfTest::testBookCollectionMetadata() on Linux/i386, as poppler-qt6
    is not available on that architecture; patch skip-pdf-linux-i386.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 17 Feb 2026 10:15:58 +0100

tellico (4.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly add the libxml2-utils test build dependency, needed for xmllint.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Update the patches:
    - upstream_Adapt-XML-validation-tests-to-libxml2-2.15.patch: drop,
      backported from upstream
    - tests-avoid-Group_Statistics.diff: drop, Group_Statistics.xsl was removed
    - Change-XML-removeInvalidXml-to-check-chars-as-explic.diff: drop, fixed
      upstream
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Remove source lintian overrides due to removed files upstream.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Jan 2026 07:42:30 +0100

tellico (4.1.4-2ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:19:31 +0000

tellico (4.1.4-2ubuntu1) resolute; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - For now make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Dec 2025 07:52:00 +0000

tellico (4.1.4-2) unstable; urgency=medium

  * Skip Group_Statistics.xsl in HtmlExporterTest::testTemplatesTidy(), as
    this template is buggy, and removed upstream (already for 4.1.5+); patch
    tests-avoid-Group_Statistics.diff
    - drop patch xfail_libxml2.15.diff, obsoleted by the aforementioned patch
  * Backport the upstream MR
    https://invent.kde.org/office/tellico/-/merge_requests/30 to explicitly use
    signed char for a fallback-of-fallback XML sanitization method; patch
    Change-XML-removeInvalidXml-to-check-chars-as-explic.diff.
    (Closes: #1121706)
  * Switch the dbus test build dependency to dbus-daemon, as only
    dbus-run-session is needed. (Closes: #1122725)

 -- Pino Toscano <pino@debian.org>  Thu, 18 Dec 2025 09:05:48 +0100

tellico (4.1.4-1ubuntu2) resolute; urgency=medium

  * For now make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Dec 2025 23:07:57 +0000

tellico (4.1.4-1ubuntu1) resolute; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 11:56:18 +0000

tellico (4.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Backport upstream commit beaa6edc3cd44536bfe0ae73a4685b581693ea76 to fix
    TellicoReadTest with libxml2 2.15; patch
    upstream_Adapt-XML-validation-tests-to-libxml2-2.15.patch.
  * Temporarily XFAIL two test cases in HtmlExporterTest::testTemplatesTidy()
    (the ones with Group_Statistics.xsl), as there seems to be a problem when
    loading the generated HTML file when using libxml2 2.15 (reported upstream
    as https://bugs.kde.org/show_bug.cgi?id=511207); patch
    xfail_libxml2.15.diff.
  * Print the leftover temporary files after running the tests, to easily spot
    leaked files.

 -- Pino Toscano <pino@debian.org>  Wed, 29 Oct 2025 10:43:23 +0100

tellico (4.1.3-1ubuntu2) resolute; urgency=medium

  * debian/tellico-apparmor: fix profile syntax (LP: #2120284)
    - Thanks to Theofilos Intzoglou (parapente).

 -- Robert Kratky <robert.kratky@canonical.com>  Tue, 21 Oct 2025 13:26:14 +0200

tellico (4.1.3-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields
    - Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Aug 2025 17:14:46 +0100

tellico (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update the build dependencies according to the upstream build system:
    - add libkf6colorscheme-dev

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 09:10:04 +0200

tellico (4.1.1-1ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 06:06:35 +0200

tellico (4.1.1-1ubuntu2) plucky; urgency=medium

  * Update apparmor to qt6. 

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 30 Mar 2025 04:51:22 -0700

tellico (4.1.1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields
    - Add apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2025 14:09:42 +0000

tellico (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Tweak the salsa CI configuration:
    - re-enable the i386 build, as QtWebEngine is actually present there (doh!)
    - drop all the reprotest options, no more needed
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically, removing pkg-kde-tools
    - add the dh-sequence-python3 build dependency to use the python3 addon
      automatically, removing dh-python
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Tue, 11 Feb 2025 20:10:13 +0100

tellico (4.1-1ubuntu2) plucky; urgency=medium

  * Fix apparmor profile install.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2025 14:42:08 +0000

tellico (4.1-1ubuntu1) plucky; urgency=medium

  * Add back apparmor profile.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2025 14:10:08 +0000

tellico (4.1-1) unstable; urgency=medium

  * New upstream release.
  * CI: disable i386 build, not possible due to the QtWebEngine requirement.
  * Switch the kio build dependency to kio6; missed in the Qt 6 switch.
  * Switch the architecture back to any: the QtWebEngine requirement already
    limits on which architectures tellico can be built.
  * Stop exporting KDE_FORK_SLAVES in debian/rules, as that variable/mode is
    long gone from kio.
  * Update the patches:
    - tests-disable-fetchertest.diff: drop, fixed upstream

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 21:53:42 +0100

tellico (4.0.1-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update watch file.

  [ Boyuan Yang ]
  * debian/control: Use build-dependency package name from taglib 2.x.
    (libtag1-dev => libtag-dev)
  * Rebuild against taglib 2.0.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jan 2025 20:32:22 -0500

tellico (4.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Use new mailing list email in Maintainers field.
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Add patch to skip failing filelisting test.
  * Drop reproducible=-fixfilepath build option, builds are now made in
    a fixed location.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 29 Dec 2024 13:24:34 +0100

tellico (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 02 Oct 2024 19:22:11 +0200

tellico (4.0-2) unstable; urgency=medium

  * Fold tellico-scripts into tellico-data: the idea for the split was to add
    the possibility to update the scripts separately using the old
    debian-volatile concept (see 1.3.1-2); since there are less and less scripts
    and configuration files (resp. 1 and 1), and the vast majority of the
    collectors are implemented in native code, then the separate update of
    tellico-scripts is of practically no use anymore
    - install all the data files in tellico-data, simplifying its install file
    - add the breaks/replaces in tellico-data for the file move
    - turn tellico-scripts into an empty package; it does not need to depend on
      tellico-data, as the latter is already a dependency of tellico
    - drop the tellico-scripts dependency in tellico
  * Simplify the handling of the temporary directories when invoking
    dh_auto_test:
    - stop manually creating/passing $HOME and $XDG_RUNTIME_DIR, as debhelper
      handles them already in compat 13
    - use a static "tmp" subdirectory of the local "test_root" as $TMPDIR,
      so it is already cleaned, and it does not pollute the system $TMPDIR
  * Prepare tellico for the future switch to Qt 6, which means also WebEngine
    as mandatory (since KHTML is dead, and no more available in KF6):
    - restrict the architecture to amd64 arm64 armhf i386, i.e. the
      architectures on which Qt6 WebEngine is available
    - remove the architecture restriction from the qtwebengine5-dev build
      dependency
    - drop the libkf5khtml-dev build dependency, no more needed now

 -- Pino Toscano <pino@debian.org>  Wed, 25 Sep 2024 20:18:17 +0200

tellico (4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.72.0
    - add libkf5completion-dev, explicitly searched
    - add breeze-icon-theme for FileListingTest, which tries to load a MIME icon
    - drop libkf5wallet-dev, no more used
  * Pass -DBUILD_WITH_QT6=OFF to cmake to keep building with Qt5/KF5 for now.
  * Update the patches:
    - tests-disable-fetchertest.diff: refresh
  * Drop duplicate commas in the Build-Depends control field: it looks like
    newer versions of apt fail to parse them.
  * CI: make the build non-verbose, so the build log fits within the salsa
    limits.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Sep 2024 08:25:49 +0200

tellico (3.5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 25 Jun 2024 06:01:51 +0200

tellico (3.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 07:58:11 +0200

tellico (3.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2024 08:02:09 +0100

tellico (3.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_tests-initalize-KLocalizedString.patch: drop, backported from
      upstream
    - tests-disable-fetchertest.diff: refresh
  * Update the build dependencies according to the upstream build system:
    - drop libkf5windowsystem-dev, no more used

 -- Pino Toscano <pino@debian.org>  Mon, 23 Oct 2023 09:09:16 +0200

tellico (3.5.1-3) unstable; urgency=medium

  * Fix directory entry in debian/clean to end with slash. (Closes: #1049204)
  * Remove 2 obsolete maintscript entries in 1 files.

 -- Pino Toscano <pino@debian.org>  Thu, 17 Aug 2023 19:24:09 +0200

tellico (3.5.1-2) unstable; urgency=medium

  * Backport upstream commit 98027e0d1bc8f737f2371461217eeb3afafd85e0 to
    initialize properly KLocalizedString in the tests, and remove all its
    warning messages at runtime; patch
    upstream_tests-initalize-KLocalizedString.patch.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Jul 2023 19:29:22 +0200

tellico (3.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - tests-disable-fetchertest.diff: refresh
  * Add the libksanecore-dev build dependency to work around the lack of it in
    libkf5sane-dev.
  * Add the yaz build dependency, used in one of the unit tests.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Jul 2023 10:58:26 +0200

tellico (3.5-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump the Qt packages to 5.10.0

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 23:03:27 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog tellico-data`.
